<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Module phonon</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>
<h1>phonon Module</h1>
<hr><p><h2>The KDE Library API Reference </h2>
</p>
<p>
<p><b>
Overview |
components |
development |
search
</b></p>
</p>
<p>
This is the online reference for developing with the KDE libraries
(kdelibs).
</p>
<p>
The KDE libraries build on the
<a href="http://www.trolltech.com/products/qt/">Qt</a> framework to
provide a powerful framework to make writing applications easier,
and provide consistency across the KDE desktop envionment.
</p>
<p>
Among other things, the KDE libraries provide:
- standard user interface elements, on top of those provided by Qt
(<a href="kdeui/html/index.html">KDEUI</a>)
- a standard configuration format and method of reading and writing
configuration data (<a href="kdecore/html/classKConfig.html">KConfig</a>)
- site-independent access to standard directories, for finding resources such
as icons (<a href="kdecore/html/classKStandardDirs.html">KStandardDirs</a>)
- network transparent input and output (<a href="kio/html/index.html">KIO</a>)
- a method of embedding application components in other applications
(<a href="kparts/html/index.html">KParts</a>)
- straightforward multimedia and hardware interaction
(<a href="/kdesupport-api/kdesupport-apidocs/phonon/html/">Phonon</a> and
<a href="solid/html/index.html">Solid</a>)
- fully-fledged JavaScript and HTML engines
(<a href="kjs/html/index.html">KJS</a> and
<a href="khtml/html/index.html">KHTML</a>)
- an application scripting framework
(<a href="kross/html/index.html">Kross</a>)
- semantic information and tagging
(<a href="nepomuk/html/index.html">Nepomuk</a>)
</p>
<p>
Visit the <a href="http://techbase.kde.org/Development">development section of KDE
Techbase</a> for tutorials, architectural overviews and other useful information.
</p>
<p>

<dl compact><dt><b>Author(s):</b></dt><dd>
Far too many to list. See the copyright notices on the individual files,
as well as the pages for individual components.
</dd></dl> </p>
<p>

<dl compact><dt><b>Maintainer(s):</b></dt><dd>
There is no single maintainer for kdelibs. Overall direction is governed by the
<a href="https://mail.kde.org/mailman/listinfo/kde-core-devel">kde-core-devel
mailing list</a>. Some of the individual components have their own maintainers:
see the component pages for more information.
</dd></dl> </p>
<p>

<dl compact><dt><b>License(s):</b></dt><dd>
Libraries: <a href="http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html#SEC1">LGPLv2</a>
Some helper binaries: <a href="http://www.gnu.org/licenses/old-licenses/gpl-2.0.html#SEC1">GPLv2</a>
Some code may have more permissive licenses.
</dd></dl>
</p><h2>Namespaces</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody><tr><td><a name="letter_G">&nbsp;&nbsp;G&nbsp;&nbsp;</a></td><td><a name="letter_P">&nbsp;&nbsp;P&nbsp;&nbsp;</a></td><td><a class="el" href="Phonon.BackendCapabilities.html">Phonon.BackendCapabilities</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="global.html"><i>global</i></a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.html">Phonon</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>&nbsp;&nbsp;&nbsp;</td></tr>
</table>
<h2>Class Index</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody><tr><td><a name="letter_A">&nbsp;&nbsp;A&nbsp;&nbsp;</a></td><td><a class="el" href="Phonon.MediaObject.html">MediaObject</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_S">&nbsp;&nbsp;S&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Phonon.Experimental.AbstractAudioDataOutput.html">AbstractAudioDataOutput</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.MediaSource.html">MediaSource</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.SeekSlider.html">SeekSlider</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Phonon.AbstractMediaStream.html">AbstractMediaStream</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.MediaSource.html">MediaSource</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.Experimental.SnapshotInterface.html">SnapshotInterface</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Phonon.Experimental.AbstractVideoDataOutput.html">AbstractVideoDataOutput</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_N">&nbsp;&nbsp;N&nbsp;&nbsp;</a></td><td><a class="el" href="Phonon.StreamInterface.html">StreamInterface</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Phonon.AbstractVideoOutput.html">AbstractVideoOutput</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.BackendCapabilities.Notifier.html">Notifier</a>&nbsp;(<a class="el" href="Phonon.BackendCapabilities.html">Phonon.BackendCapabilities</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_V">&nbsp;&nbsp;V&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Phonon.Experimental.AudioDataOutput.html">AudioDataOutput</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.BackendCapabilities.Notifier.html">Notifier</a>&nbsp;(<a class="el" href="Phonon.BackendCapabilities.html">Phonon.BackendCapabilities</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.Experimental.VideoDataOutput.html">VideoDataOutput</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Phonon.Experimental.AudioDataOutputInterface.html">AudioDataOutputInterface</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_O">&nbsp;&nbsp;O&nbsp;&nbsp;</a></td><td><a class="el" href="Phonon.Experimental.VideoDataOutput2.html">VideoDataOutput2</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Phonon.Experimental.AudioFormat.html">AudioFormat</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.ObjectDescription.html">ObjectDescription</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.Experimental.VideoDataOutputInterface.html">VideoDataOutputInterface</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Phonon.AudioOutput.html">AudioOutput</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.ObjectDescription.html">ObjectDescription</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.Experimental.VideoFrame.html">VideoFrame</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Phonon.Experimental.AvCapture.html">AvCapture</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.ObjectDescriptionData.html">ObjectDescriptionData</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.Experimental.VideoFrame2.html">VideoFrame2</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_E">&nbsp;&nbsp;E&nbsp;&nbsp;</a></td><td><a class="el" href="Phonon.ObjectDescriptionData.html">ObjectDescriptionData</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.VideoPlayer.html">VideoPlayer</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Phonon.Effect.html">Effect</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.ObjectDescriptionModel.html">ObjectDescriptionModel</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.VideoWidget.html">VideoWidget</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Phonon.EffectParameter.html">EffectParameter</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.ObjectDescriptionModelData.html">ObjectDescriptionModelData</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.VideoWidget.html">VideoWidget</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Phonon.EffectWidget.html">EffectWidget</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_P">&nbsp;&nbsp;P&nbsp;&nbsp;</a></td><td><a class="el" href="Phonon.VideoWidgetInterface.html">VideoWidgetInterface</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_M">&nbsp;&nbsp;M&nbsp;&nbsp;</a></td><td><a class="el" href="Phonon.Packet.html">Packet</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.Experimental.Visualization.html">Visualization</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Phonon.MediaController.html">MediaController</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.PacketPool.html">PacketPool</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.VolumeFaderEffect.html">VolumeFaderEffect</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Phonon.MediaNode.html">MediaNode</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.Path.html">Path</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.VolumeSlider.html">VolumeSlider</a>&nbsp;(<a class="el" href="Phonon.html">Phonon</a>)&nbsp;&nbsp;&nbsp;</td></tr>
</table>

</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
